Subject: I-D Action: draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-01.txt

From: [email-masked]
Date: Fri, 13 Apr 2018 13:00:46 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Elliptic curve 2y^2=x^3+x over field size 8^91+5
        Author          : Dan Brown
	Filename        : draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-01.txt
	Pages           : 31
	Date            : 2018-04-13

Abstract:
  This document specifies a special elliptic curve with complex
  multiplication (by i) and a compact description (see title).  This
  curve is recommended for cryptographic use in a strongest-link
  combination with dissimilar elliptic curves (e.g. NIST P-256,
  Curve25519, extension-field curves, etc.)  as a defense in depth
  against an unlikely, unforeseen attack on otherwise preferred
  elliptic curves.  The curve equation 2y^2=x^3+x is the Montgomery
  form of a curve y^2=x^3-x in a class of curves y^2=x^3-ax suggested
  by Miller in the first published paper elliptic curve cryptography,
  and an endomorphism usable for efficiency, an idea of Koblitz.  The
  field size 8^91+5 is prime, and is relatively efficient and
  compactly described for its bit-size (273 bits).  The document
  specifies some practical details such as: encoding a point (on the
  curve) into 34 bytes, public key validation, encoding a private key
  into 34 bytes, and encoding 34 bytes into a point.  The document
  also provides pseudocode, motivation, and security considerations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-01
https://datatracker.ietf.org/doc/html/draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/